get_extension(3)

NAME
get_extension - Returns a pointer to the extension of a filename. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

char *get_extension(const char *filename);

DESCRIPTION
Finds out the extension of the filename (with or without path information). Example:
   get_executable_name(name, sizeof(name));
   allegro_message("The binary has the extension `%s'\n",
                   get_extension(name));

RETURN VALUE
Returns a pointer to the portion of `filename' where the extension starts, or a pointer to the trailing null character if there is no filename or it doesn't have extension.

SEE ALSO
get_filename(3), put_backslash(3), replace_extension(3)